%def_disable static

Name: frag-opt
Version: 0.5.4
Release: alt1

License: GPL
Url: http://koti.mbnet.fi/midiania/hack/
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: frag-opt is a re-entrant, portable command-line parsing library.
Group: System/Libraries
Source: %name-%version.tar.bz2

# Automatically added by buildreq on Mon Mar 14 2005
BuildRequires: gcc-c++ gcc-g77 hostinfo libstdc++-devel

%description
frag-opt is a re-entrant, portable command-line parsing library.

%package devel
Summary: frag-opt development files.
Group: Development/C++
Requires: %name = %version-%release

%description devel
frag-opt is a re-entrant, portable command-line parsing library.
The package contains the C headers and library to compile programs
based on frag-opt.

%if_enabled static
%package devel-static
Summary: frag-opt static development files.
Group: Development/C++
Requires: %name = %version-%release

%description devel-static
frag-opt is a re-entrant, portable command-line parsing library.
The package contains static library to compile programs
based on frag-opt.
%endif

%prep
%setup -q -n %name-%version

%build
%configure \
		%{subst_enable static}

%make_build

%install

%make_install DESTDIR="%buildroot" install

%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_man3dir/*

%files devel
%_includedir/*.h
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Mar 14 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.5.4-alt1
- 0.5.4 release.


